package com.reptileclient.jlifeapp.service;

import com.reptileclient.jlifeapp.dto.HmCreateRightRequestDTO;
import com.reptileclient.jlifeapp.dto.HmrightDetailRespDTO;
import com.reptileclient.jlifeapp.dto.HmrightInfoRespDTO;

import java.util.List;

public interface HmRightService {
    String createHmRightOrder(HmCreateRightRequestDTO dto);

    /**
     * 查询盒马权益单信息
     * @param rightOrderNo
     * @return
     */
    List<HmrightInfoRespDTO> queryHmRightOrder(String rightOrderNo);

    /**
     * 查询权益单预约详情
     * @param rightOrderNo
     * @return
     */
    List<HmrightDetailRespDTO> queryHmRightOrderDetail(String rightOrderNo);

    /**
     * 取消权益
     * @param rightOrderNo
     */
    void cancelHmRight(String rightOrderNo);

    void syncRightBaseInfo();
}
